Bug 1412997 - [abrt] transmission-gtk: __pthread_mutex_lock(): transmission-gtk killed by SIGSEGV
Summary: [abrt] transmission-gtk: __pthread_mutex_lock(): transmission-gtk killed by S...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: transmission
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:310b83f12e8d7ca04b5ed635633...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 11:08 UTC by iakovos Gurulian
Modified: 2017-12-12 10:05 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:05:51 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (38.30 KB, text/plain)
2017-01-13 11:08 UTC, iakovos Gurulian
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-13 11:08 UTC, iakovos Gurulian
no flags Details
File: core_backtrace (3.08 KB, text/plain)
2017-01-13 11:08 UTC, iakovos Gurulian
no flags Details
File: dso_list (12.59 KB, text/plain)
2017-01-13 11:08 UTC, iakovos Gurulian
no flags Details
File: environ (2.26 KB, text/plain)
2017-01-13 11:08 UTC, iakovos Gurulian
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-13 11:08 UTC, iakovos Gurulian
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-13 11:08 UTC, iakovos Gurulian
no flags Details
File: maps (63.52 KB, text/plain)
2017-01-13 11:08 UTC, iakovos Gurulian
no flags Details
File: mountinfo (3.25 KB, text/plain)
2017-01-13 11:08 UTC, iakovos Gurulian
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-13 11:08 UTC, iakovos Gurulian
no flags Details
File: open_fds (1.92 KB, text/plain)
2017-01-13 11:08 UTC, iakovos Gurulian
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2017-01-13 11:08 UTC, iakovos Gurulian
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-13 11:09 UTC, iakovos Gurulian
no flags Details

Description iakovos Gurulian 2017-01-13 11:08:22 UTC
Description of problem:
I closed the application and I got a crash. It did not affect me. Probably it just didn't terminate correctly.

Version-Release number of selected component:
transmission-gtk-2.92-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        transmission-gtk magnet:?xt=urn:btih:efa8330fc0d8b2b31488a93acf9cbbcc18f8987d&dn=Kenny+Garrett+-+Songbook+%281997%29+%5BEAC-FLAC%5D&tr=udp%3A%2F%2Ftracker.leechers-paradise.org%3A6969&tr=udp%3A%2F%2Fzer0day.ch%3A1337&tr=udp%3A%2F%2Ftracker.coppersurfer.tk%3A6969&tr=udp%3A%2F%2Fpublic.popcorn-tracker.org%3A6969
crash_function: __pthread_mutex_lock
executable:     /usr/bin/transmission-gtk
global_pid:     10418
kernel:         4.8.16-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __pthread_mutex_lock at ../nptl/pthread_mutex_lock.c:67
 #1 tr_lockLock at platform.c:186
 #2 tr_sessionLock at session.c:1075
 #3 tr_torrentLock at torrent.h:308
 #4 tr_torrentRecheckCompleteness at torrent.c:2206
 #5 onVerifyDoneThreadFunc at torrent.c:1778
 #6 readFromPipe at trevent.c:197
 #7 event_persist_closure at event.c:1319
 #8 event_process_active_single_queue at event.c:1363
 #9 event_process_active at event.c:1438

Potential duplicate: bug 1030992

Comment 1 iakovos Gurulian 2017-01-13 11:08:32 UTC
Created attachment 1240307 [details]
File: backtrace

Comment 2 iakovos Gurulian 2017-01-13 11:08:34 UTC
Created attachment 1240308 [details]
File: cgroup

Comment 3 iakovos Gurulian 2017-01-13 11:08:36 UTC
Created attachment 1240309 [details]
File: core_backtrace

Comment 4 iakovos Gurulian 2017-01-13 11:08:39 UTC
Created attachment 1240310 [details]
File: dso_list

Comment 5 iakovos Gurulian 2017-01-13 11:08:40 UTC
Created attachment 1240311 [details]
File: environ

Comment 6 iakovos Gurulian 2017-01-13 11:08:43 UTC
Created attachment 1240312 [details]
File: exploitable

Comment 7 iakovos Gurulian 2017-01-13 11:08:44 UTC
Created attachment 1240313 [details]
File: limits

Comment 8 iakovos Gurulian 2017-01-13 11:08:49 UTC
Created attachment 1240314 [details]
File: maps

Comment 9 iakovos Gurulian 2017-01-13 11:08:51 UTC
Created attachment 1240315 [details]
File: mountinfo

Comment 10 iakovos Gurulian 2017-01-13 11:08:53 UTC
Created attachment 1240316 [details]
File: namespaces

Comment 11 iakovos Gurulian 2017-01-13 11:08:54 UTC
Created attachment 1240317 [details]
File: open_fds

Comment 12 iakovos Gurulian 2017-01-13 11:08:56 UTC
Created attachment 1240318 [details]
File: proc_pid_status

Comment 13 iakovos Gurulian 2017-01-13 11:09:00 UTC
Created attachment 1240319 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 15:30:50 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:05:51 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.